let
  sources = import ./npins;

  agenix = sources.agenix + "/modules/age.nix";

  metadata = {
    nodes = {
      milieu = {
        deployment = {
          targetHost = null; #"milieu.cave.hackens.org";
          # targetPort = 4243;
          allowLocalDeployment = true;
        };
        imports = [agenix];
      };
      org = {
        deployment = {
          targetHost = "server1.hackens.org"; # todo make something with ens firewall
          targetPort = 2222;
        };
        imports = [agenix];
      };

    };
  };
in
  metadata
