{ pkgs, ... }:
{
  networking.useDHCP = false;
  systemd.network = {
    enable = true;
    networks = {
      "10-uplink" = {
        name = "eth0";
        DHCP = "no";
        address = [
          "129.199.129.76/24"
        ];
        networkConfig = {
          Gateway = "129.199.129.1";
        };
      };
    };
  };
  networking.nameservers = [ "1.1.1.1" "8.8.8.8" ];
}
